Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni.parser
Interface XMLComponentManager

All Known Subinterfaces:
  XMLParserConfiguration, XMLPullParserConfiguration

All Known Implementing Classes:
  BasicParserConfiguration, DOMValidationConfiguration, DTDConfiguration, NonValidatingConfiguration, ParserConfigurationSettings

Deprecated. please use JDK supplied XML parsers and transformers

public interface XMLComponentManager

The component manager manages a parser configuration and the components that make up that configuration. The manager notifies each component before parsing to allow the components to initialize their state; and also any time that a parser feature or property changes.

The methods of the component manager allow components to query features and properties that affect the operation of the component.

See Also:
  `XMLComponent`

Method Summary
`boolean` | `getFeature(String featureId)` Deprecated. Returns the state of a feature.
`Object` | `getProperty(String propertyId)` Deprecated. Returns the value of a property.

Method Detail

### getFeature

    public boolean getFeature(String featureId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a feature.

  Parameters:
    `featureId` - The feature identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### getProperty

    public Object getProperty(String propertyId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the value of a property.

  Parameters:
    `propertyId` - The property identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD